## javax.script.http
Class HttpScriptServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.script.http.HttpScriptServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public abstract class HttpScriptServlet

extends javax.servlet.GenericServlet

Author:
  jostb
See Also:
  Serialized Form

Constructor Summary
`HttpScriptServlet()`

Method Summary
`abstract HttpScriptContext` `getContext(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)` Returns a HttpScriptContext initialized using the specified HttpServletRequest, HttpServletResponse and a reference to this HttpScriptServlet
`abstract ScriptEngine` `getEngine(javax.servlet.http.HttpServletRequest request)` Returns a ScriptEngine that is used by the HttpScriptServlet to execute a single request.
`abstract void` `releaseEngine(ScriptEngine engine)` Called to indicate that a ScriptEngine retruned by a call to getEngine is no longer in use.

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log, service`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpScriptServlet

    public HttpScriptServlet()

Method Detail

### getContext

    public abstract HttpScriptContext getContext(javax.servlet.http.HttpServletRequest req,
                                                 javax.servlet.http.HttpServletResponse res)
                                          throws javax.servlet.ServletException

  Returns a HttpScriptContext initialized using the specified HttpServletRequest, HttpServletResponse and a reference to this HttpScriptServlet

  Parameters:
    `req` - - The specified HttpServletRequest.
    `res` - - The specified HttpServletResponse.
  Returns:
    the initialized HttpScriptContext.
  Throws:
    `javax.servlet.ServletException`

### getEngine

    public abstract ScriptEngine getEngine(javax.servlet.http.HttpServletRequest request)

  Returns a ScriptEngine that is used by the HttpScriptServlet to execute a single request.

  Parameters:
    `request` - - The current request.
  Returns:
    The ScriptEngine used by this HttpScriptServlet to execute requests.

### releaseEngine

    public abstract void releaseEngine(ScriptEngine engine)

  Called to indicate that a ScriptEngine retruned by a call to getEngine is no longer in use.

  Parameters:
    `engine` - - The ScriptEngine